# 上传单条数据


## 修改历史


## 接口定义

    /v1/upload_diopter_data
	/v1/upload_diopter_data/retest
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{deviceSN}/{orgID}/{campID}
    X-Sign               {String}       rsa(timestamp_userId) 加密

### Form Parameters

    dataId          {String}    唯一ID ，由Android端生成
	planId			{int}		计划ID
    studentId       {int}       学生ID
	leftS			{float}		球镜S
	leftC			{float}		柱镜C
	leftA			{float}		轴位A
	rightS			{float}		球镜S
	rightC			{float}		柱镜C
	rightA			{float}		轴位A
	pd				{float}		全瞳距值，4 个字节，输出格式为??.?，单位为 mm，如 62.0 表示瞳距为 62mm，如果为“00.0”表示该项无记录
	vd				{float}		顶点距离值，5 个字节，输出格式为??.??，单位为 mm，如 12.00 表示 12mm
	se				{float}		综合球镜度，6 个字节，输出格式为???.??，单位为 D，如-05.25 表示综合球镜度为-5.25D。
	sylsign			{string}    记录数据时柱镜符号设置，2 个字节，可能是++、--、+-，分别代表正、负、混合设置。
	
	
	leftR1			{float}		R1 曲率半径 1，6 个字节，输出格式为+??.??
	leftR2			{float}		曲率半径 2，6 个字节，输出格式为+??.??
	leftA1			{float}		曲率半径 1 方向角度，3 个字节，输出格式为???
	rightR1			{float}		R1 曲率半径 1，6 个字节，输出格式为+??.??
	rightR2			{float}		曲率半径 2，6 个字节，输出格式为+??.??
	rightA1			{float}		曲率半径 1 方向角度，3 个字节，输出格式为???
	cd				{float}		角膜直径值，5 个字节，输出格式为??.??，单位为 mm，如 10.00 表示 10mm，如果为“00.0”表示无该项记录
	cyl				{float}		角膜曲率柱镜度数值(R1 和 R2 之间差值，始终为负值，单位为 DP 度)，6 个字节，输出格式为???.??。
	
	
    testTime        {int}
    classId         {int}       班级ID

## Response


### Example

**Command**

    curl -X POST \
    	    -H "X-DeviceInformation: 11%2f22%2f141" \
            -H "X-Sign: mCNfxI/TgBt9K63KJ/cMcW2SgjJuQhmpiyUsSIVncfrI7XgukTBX8mqB5zZZ4Zmid2Elb0NbeUEmPanSMkWMENzLu0hbFQQhN9FaOsCNAK0wBmOgZ0PW0/jCqi7m4yC0wcxRlkbefob7nB76ri5j2wvB0Qi4Js8UPUl77eegs9A=" \
           -d 'dataId=1DE5CAAA-DB46-419A-8162-EC853DAEA5CF&studentId=549&leftEye=<REFL0162.012.00-03.00+--02.50-01.00170>&rightEye=<REFR0162.012.00-03.00+--02.50-01.00170>&testTime=1560426091&classId=111111' \
       http://localhost:8080/v1/upload_diopter_data

**Output**

    {
      "errno": 200,
      "msg": "success"
    }